[Bug 425029] [NEW] Sync cups-pdf 2.5.0-8 (universe) from Debian unstable (main)

Martin-Éric Racine q-funk at iki.fi
Sun Sep 6 00:36:28 BST 2009

Public bug reported:

Hash: SHA1

 affects ubuntu/cups-pdf
 status new
 importance wishlist
 subscribe ubuntu-universe-sponsors

Please sync cups-pdf 2.5.0-8 (universe) from Debian unstable (main)

During the investigation of Debian bug #539156 it has been found that
in the event that the system has an /etc/cups/client.conf that points
to remote hosts, the 'lpadmin' and 'lpstat' commands used in postinst
will end up prompting for a password to access the remote hosts, even
though this shouldn't be needed since the PDF queue added by CUPS-PDF 
is completely local. To prevent this from ever happening, an explicit
"-h localhost" option has been added to every occurrence of these two
commands in all maintainer scripts.

This fix is desirable for Karmic since, without it, Live CD building 
scripts have been found to barf at those unexpected command prompts.

Other changes performed since 2.5.0-4 are mostly cosmetic.

Changelog entries since current karmic version 2.5.0-4:

cups-pdf (2.5.0-8) unstable; urgency=low

  * Bumped Standards-Version to 3.8.3 (no change required).
  * Inserted explicit "-h localhost" option to every lpadmin and lpstat
    invocation in postinst (Closes: #539156).

 -- Martin-Éric Racine <q-funk at iki.fi>  Thu, 03 Sep 2009 22:53:33 +0000

cups-pdf (2.5.0-7) unstable; urgency=low

  * The "Houston, we have a piuparts problem" release:
    + Reinsterted missing Depends on ghostscript.

 -- Martin-Éric Racine <q-funk at iki.fi>  Wed, 19 Aug 2009 14:23:37 +0300

cups-pdf (2.5.0-6) unstable; urgency=low

  * Inserted lpadmin "enter" in maintainer scripts (Closes: #539156).

 -- Martin-Éric Racine <q-funk at iki.fi>  Sat, 15 Aug 2009 00:07:52 +0300

cups-pdf (2.5.0-5) unstable; urgency=low

  * Dropped explicit Depends on ghostscript since CUPS already does.

 -- Martin-Éric Racine <q-funk at iki.fi>  Fri, 14 Aug 2009 21:51:56 +0300

Version: GnuPG v1.4.9 (GNU/Linux)


** Affects: cups-pdf (Ubuntu)
     Importance: Wishlist
         Status: New

Sync cups-pdf 2.5.0-8 (universe) from Debian unstable (main)
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.

More information about the Ubuntu-universe-sponsors mailing list